{
   "format_version":"1.21.0",
   "minecraft:block":{
      "description":{
         "identifier":"true:window_frame_pale",
         "menu_category":{
            "category":"construction"
         },
         "traits":{
            "minecraft:placement_direction":{
               "enabled_states":[
                  "minecraft:cardinal_direction"
               ]
            }
         }
      },
      "components":{
         "minecraft:collision_box":{
            "origin":[
               -8,
               0,
               -8
            ],
            "size":[
               16,
                2,
                3
            ]
         },
         "minecraft:selection_box":{
            "origin":[
               -8,
               0,
               -8
            ],
            "size":[
               16,
                2,
                3
            ]
         },
         "minecraft:loot":"loot_tables/blocks/construction/wood/pale_oak.json",
         "minecraft:destructible_by_mining":{
            "seconds_to_destroy":0.3
         },
         "minecraft:map_color":"#FFFFFF",
         "minecraft:light_emission":0,
         "minecraft:material_instances":{
            "*":{
               "texture":"true_pale_oak",
               "render_method":"alpha_test"
            }
         },
         "minecraft:geometry":"geometry.window_frame"
      },
      "permutations":[
         {
            "condition":"q.block_state('minecraft:cardinal_direction') == 'north' ",
            "components":{
               "minecraft:transformation":{
                  "rotation":[
                     0,
                     0,
                     0
                  ]
               }
            }
         },
         {
            "condition":"q.block_state('minecraft:cardinal_direction') == 'south' ",
            "components":{
               "minecraft:transformation":{
                  "rotation":[
                     0,
                     180,
                     0
                  ]
               }
            }
         },
         {
            "condition":"q.block_state('minecraft:cardinal_direction') == 'east' ",
            "components":{
               "minecraft:transformation":{
                  "rotation":[
                     0,
                     270,
                     0
                  ]
               }
            }
         },
         {
            "condition":"q.block_state('minecraft:cardinal_direction') == 'west' ",
            "components":{
               "minecraft:transformation":{
                  "rotation":[
                     0,
                     90,
                     0
                  ]
               }
            }
         }
      ]
   }
}